View Issue Details

IDProjectCategoryView StatusLast Update
0003016Ham Radio DeluxeBugpublic2019-01-16 22:05
Reporterg3ucq 
Assigned ToK7ZCZ 
PriorityhighSeveritymajorReproducibilityrandom
Status closedResolutionfixed 
PlatformPCOSWindowsOS Version10 64 bit Home
Product Version 
Target VersionFixed in Version6.5.0.183 
Summary0003016: Logbook closes.
DescriptionClicking on a Lookup button in the ALE causes a minidump to be created and Logbook to close.
Steps To ReproduceIn Demomatic mode with Rig Control and the Logbook open.
At random times, clicking on a Lookup button in open ALE causes a mini dump file to be created and the Logbook to close.
This has now happened 3 times in a session testing another issue.
The third time this happened I entered the call sign W2PJ and clicked on the Lookup button and immediately got the mini dump message and the Logbook closed.
Additional InformationNow I find this is happening every time after entering a call sign in the ALE call sign box and then click the Lookup button.
However, I am finding that the Logbook and the ALE take a long time to load and display so that may have some bearing on this problem.
Since the Logbook was supposed to load faster I am finding the Logbook loads slower and slower.
Possibly a problem with my PC? I have turned off my AV software but that made no difference.
G3UCQ_HRDLogbook_20190102_101126 is the file when I tried to enter the W2PJ call sign.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleALE Window
Testing Beta Successful

Relationships

Activities

g3ucq

2019-01-02 04:22

viewer  

G3UCQ_HRDLogbook_20190102_101126.zip (24,779,888 bytes)
G3UCQ_HRDLogbook_20190102_091838.zip (26,414,013 bytes)

K7ZCZ

2019-01-02 10:28

manager   ~0006856

It would (always!) help to know which build of the product you were using when experiencing a problem.

No directed work has been done to tune the load time of the applications.

K7ZCZ

2019-01-02 12:01

manager   ~0006860

Both dumps show that 6.5.164 is in use:
0:000> lmDvmHRDLogbook
Browse full module list
start    end        module name
00f70000 027cb000   HRDLogbook   (private pdb symbols)  f:\mysymbolcache\HRDLogbook.pdb\FDD170D6EF02470E80D93DBF6864934C1\HRDLogbook.pdb
    Loaded symbol image file: HRDLogbook.exe
    Mapped memory image file: F:\dumps\Mantis3016\HRDLogbook.exe
    Image path: C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\HRDLogbook.exe
    Image name: HRDLogbook.exe
    Browse all global symbols  functions  data
    Timestamp:        Mon Dec 31 11:04:23 2018 (5C2A6837)
    CheckSum:         016349AB
    ImageSize:        0185B000
    File version:     6.5.0.164
    Product version:  6.5.0.164
    File flags:       0 (Mask 3F)
    File OS:          4 Unknown Win32
    File type:        1.0 App
    File date:        00000000.00000000
    Translations:     0409.04b0
    CompanyName:      HRD Software, LLC
    ProductName:      HRD Logbook
    InternalName:     HRD Logbook
    OriginalFilename: HRDLogbook.EXE
    ProductVersion:   6.5.0.164
    FileVersion:      6.5.0.164
    SpecialBuild:     BETA 6.5.0.164
    FileDescription:  Ham Radio Deluxe Logbook Application
    LegalCopyright:   Copyright © 2005 - 2018 by HRD Software, LLC
    Comments:         Ham Radio Logbook



The crash in both dumps is because of a bogus parameter to MessageDate():

0:000> .ecxr
eax=ffffffff ebx=00000001 ecx=00000001 edx=00000001 esi=02b1d4ec edi=00000000
eip=017031f5 esp=02b1d464 ebp=02b1d470 iopl=0         nv up ei pl zr na pe nc
cs=0023  ss=002b  ds=002b  es=002b  fs=0053  gs=002b             efl=00210246
HRDLogbook!common_strnlen_c+0x12 [inlined in HRDLogbook!wcsnlen+0x30]:
017031f5 66393a          cmp     word ptr [edx],di        ds:002b:00000001=????
0:000> kb
  *** Stack trace for last set context - .thread/.cxr resets it
 # ChildEBP RetAddr  Args to Child              
00 (Inline) -------- -------- -------- -------- HRDLogbook!common_strnlen_c+0x12 [d:\th\minkernel\crts\ucrt\src\appcrt\string\strnlen.cpp @ 36] 
01 (Inline) -------- -------- -------- -------- HRDLogbook!common_strnlen_simd+0x25 [d:\th\minkernel\crts\ucrt\src\appcrt\string\strnlen.cpp @ 84] 
02 (Inline) -------- -------- -------- -------- HRDLogbook!common_strnlen+0x2a [d:\th\minkernel\crts\ucrt\src\appcrt\string\strnlen.cpp @ 149] 
03 02b1d470 017012eb 00000001 7fffffff 02b1d994 HRDLogbook!wcsnlen+0x30 [d:\th\minkernel\crts\ucrt\src\appcrt\string\strnlen.cpp @ 173] 
04 02b1d488 017008c1 02b1d4ec 00000000 016ffea5 HRDLogbook!__crt_stdio_output::output_processor<wchar_t,__crt_stdio_output::string_output_adapter<wchar_t>,__crt_stdio_output::standard_base<wchar_t,__crt_stdio_output::string_output_adapter<wchar_t> > >::type_case_s+0x52 [d:\th\minkernel\crts\ucrt\inc\corecrt_internal_stdio_output.h @ 2248] 
05 02b1d4a4 016ffd08 00000fff 1c94f23e 016fee51 HRDLogbook!__crt_stdio_output::output_processor<wchar_t,__crt_stdio_output::string_output_adapter<wchar_t>,__crt_stdio_output::standard_base<wchar_t,__crt_stdio_output::string_output_adapter<wchar_t> > >::state_case_type+0x5a [d:\th\minkernel\crts\ucrt\inc\corecrt_internal_stdio_output.h @ 2027] 
06 02b1d4b0 016fee51 0000000f 1c94f23e 0a47323e HRDLogbook!__crt_stdio_output::output_processor<wchar_t,__crt_stdio_output::string_output_adapter<wchar_t>,__crt_stdio_output::standard_base<wchar_t,__crt_stdio_output::string_output_adapter<wchar_t> > >::process+0xc6 [d:\th\minkernel\crts\ucrt\inc\corecrt_internal_stdio_output.h @ 1651] 
07 02b1d948 017019d9 00000005 00000000 02b1d994 HRDLogbook!common_vsprintf<__crt_stdio_output::standard_base,wchar_t>+0xdb [d:\th\minkernel\crts\ucrt\src\appcrt\stdio\output.cpp @ 163] 
08 02b1d96c 011ca7ca 00000005 00000000 02b1d994 HRDLogbook!__stdio_common_vswprintf+0x1f [d:\th\minkernel\crts\ucrt\src\appcrt\stdio\output.cpp @ 247] 
09 (Inline) -------- -------- -------- -------- HRDLogbook!_vsnwprintf_l+0x23 [c:\program files (x86)\windows kits\10\include\10.0.10240.0\ucrt\corecrt_wstdio.h @ 1057] 
0a (Inline) -------- -------- -------- -------- HRDLogbook!_vsnwprintf+0x23 [c:\program files (x86)\windows kits\10\include\10.0.10240.0\ucrt\corecrt_wstdio.h @ 1132] 
0b (Inline) -------- -------- -------- -------- HRDLogbook!StringVPrintfWorkerW+0x23 [c:\program files (x86)\windows kits\8.1\include\shared\strsafe.h @ 10907] 
0c (Inline) -------- -------- -------- -------- HRDLogbook!StringCchVPrintfW+0x23 [c:\program files (x86)\windows kits\8.1\include\shared\strsafe.h @ 4920] 
0d 02b1f998 011ca9df 02b2f1c8 7759f54e 1c94f218 HRDLogbook!MessageV+0x3a [c:\hrd65\logbook\hrdlogbook\stdafx.cpp @ 28] 
0e 02b219d4 010f6a96 018bf5a8 00000001 0000000f HRDLogbook!MessageDate+0xef [c:\hrd65\logbook\hrdlogbook\stdafx.cpp @ 74] 
0f 02b21a24 010f77db 00000002 00000002 0a470b2e HRDLogbook!CLogbookFull::ProcessLookupType+0x1b6 [c:\hrd65\logbook\hrdlogbook\logbookfulllookup.cpp @ 934] 
10 02b2e5e0 010f67ba 1ccb9858 00000002 00000000 HRDLogbook!CLogbookFull::CallsignLookup+0xcab [c:\hrd65\logbook\hrdlogbook\logbookfulllookup.cpp @ 1188] 
11 02b2e618 0120fcaf 00000000 018bd4a0 00000111 HRDLogbook!CLogbookFull::OnQRZ+0x4a [c:\hrd65\logbook\hrdlogbook\logbookfulllookup.cpp @ 787] 
12 02b2e62c 0120faab 02b2f1c8 00004f7f 00000000 HRDLogbook!_AfxDispatchCmdMsg+0x4e [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\cmdtarg.cpp @ 78] 
13 02b2e664 01214c6d 00004f7f 00000000 00000000 HRDLogbook!CCmdTarget::OnCmdMsg+0x154 [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\cmdtarg.cpp @ 372] 
14 02b2e68c 0120abe7 00004f7f 00000000 00000000 HRDLogbook!CDialog::OnCmdMsg+0x1c [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\dlgcore.cpp @ 85] 
15 02b2e6dc 0120b919 00004f7f 00150c26 2e57f86f HRDLogbook!CWnd::OnCommand+0x61 [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2800] 
16 02b2e7ac 00f901f6 00000111 00004f7f 00150c26 HRDLogbook!CWnd::OnWndMsg+0x45 [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2113] 
17 02b2e7c8 0120d1dc 00000111 00004f7f 00150c26 HRDLogbook!CXTPDialogBase<CXTPResizeDialog>::OnWndMsg+0x46 [c:\hrd65\codejock software\mfc\xtreme toolkitpro v18.6.0\source\commandbars\xtpdialogbase.h @ 203] 
18 02b2e7ec 0120843f 00000111 00004f7f 00150c26 HRDLogbook!CWnd::WindowProc+0x2d [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2099] 
19 02b2e860 01208c00 02b2f1c8 00150a6e 00000111 HRDLogbook!AfxCallWndProc+0xc6 [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 268] 
1a 02b2e880 74bbbf1b 00150a6e 00000111 00004f7f HRDLogbook!AfxWndProc+0x34 [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 417] 
1b 02b2e8ac 74bb83ea 01208bcc 00150a6e 00000111 user32!_InternalCallWinProc+0x2b
1c 02b2e994 74b97afd 01208bcc 00000000 00000111 user32!UserCallWinProcCheckWow+0x3aa
1d 02b2e9d0 013bb43a 01208bcc 00150a6e 00000111 user32!CallWindowProcW+0x8d
1e 02b2ea18 74bbbf1b 01208bcc 00000111 00004f7f HRDLogbook!CXTPHookManager::HookWndProc+0xaa [c:\program files (x86)\codejock software\mfc\xtreme toolkitpro v18.6.0\source\common\xtphookmanager.cpp @ 440] 
1f 02b2ea44 74bb83ea 013bb390 00150a6e 00000111 user32!_InternalCallWinProc+0x2b
20 02b2eb2c 74b9beca 013bb390 00000000 00000111 user32!UserCallWinProcCheckWow+0x3aa
:
:
:

K7ZCZ

2019-01-02 12:28

manager   ~0006862

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4657

g3ucq

2019-01-04 07:33

viewer   ~0006878

After many Lookups no problem now. Fixed.

Issue History

Date Modified Username Field Change
2019-01-02 04:22 g3ucq New Issue
2019-01-02 04:22 g3ucq File Added: G3UCQ_HRDLogbook_20190102_101126.zip
2019-01-02 04:22 g3ucq File Added: G3UCQ_HRDLogbook_20190102_091838.zip
2019-01-02 10:28 K7ZCZ Note Added: 0006856
2019-01-02 12:01 K7ZCZ Note Added: 0006860
2019-01-02 12:28 K7ZCZ Assigned To => K7ZCZ
2019-01-02 12:28 K7ZCZ Status new => resolved
2019-01-02 12:28 K7ZCZ Resolution open => fixed
2019-01-02 12:28 K7ZCZ Note Added: 0006862
2019-01-03 15:22 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2019-01-03 15:22 WA9PIE Fixed in Version => 6.5.0.166
2019-01-04 07:33 g3ucq Note Added: 0006878
2019-01-04 12:32 WA9PIE Status resolved => closed
2019-01-04 12:32 WA9PIE Testing Not Started => Beta Successful
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.166 => 6.5.0.183
2019-01-16 22:05 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe